<Script runat="server">
  Dim quotes() As QuoteDetails

  Public Sub Page_Load(Sender As Object, e As EventArgs) 
    quotes = CType(Application("QuoteDetails"), QuoteDetails())
  End Sub
</Script>

<%
Dim item As QuoteDetails

For Each item in quotes
  Response.Write("Symbol: " + item.Symbol + "<br>")
  Response.Write("Price: " + item.Price.ToString() + "<br>")
  Response.Write("<hr size=1>")
Next
%>